Add align option to Edit Current Grass Region in Toolbar
Category: GRASS
Description

It's very useful being able to change the current GRASS region from the toolbar, but always find | need to do a "g.region align=rast" in
GRASS after. Could an align option be added, either snap to current region alignment, or to a raster in the mapset?

Thanks,

Jamie

History

#1 - 2009-06-10 09:12 AM - Lorenzo Masini

We will provide g.region.raster.align.

#2 - 2009-06-10 09:51 AM - Paolo Cavallini

Unclear to me. We currently have:

- g.region.zoom

- g.region.multiple.raster

- r.region.region

- r.region.raster

- r.region.vector

- r.region.edge

- r.region.alignTo

| suspect some of the descriptions could be misleading though.

What is currently missing?

#3 - 2009-06-10 11:15 AM - Paolo Cavallini

Descriptions "from raster” should mean "for raster", at least in one case - please check and correct.

#4 - 2009-06-22 01:34 PM - nikos -

It's also a bit unclear to me. Maybe Jamie (the reporter) meant that the "active" region should be altered in a way that GRASS (when using GRASS later) is
aware of the changes? Not sure!(?)

Anyhow, | see the problem from a different point of view. My humble opinion is that the "Edit Current Grass Region" Tool (which launches the "Grass

Region Settings" dialog) should provide a button directly to the g.region.” tools.
Most of the .region. tools work as epxected. The descriptions should be "cleaned" and only single-definitions/sentences should be kept that describe what

a.region. tool does.

I'll report my findings in the list.

#5 - 2009-07-31 07:15 AM - Paolo Cavallini
- Resolution set to fixed
- Status changed from Open to Closed

This can be done from the browser (see the new contextual menu). Closing it for now, reopen it if necessary
